<%
' This file will create the business activity in the ACCTivate! database and re-direct the user to a confirmation page.  There are no required fields, but we recommend that you at least capture the user's name, phone number and email address.

' This variable is used to store the confirmation page
ConfirmationPage = "service_confirm.asp"

' Select which business activity type to use.  This is the internal code found in the Business Activities section of Configuration Management in ACCTivate!.
ActivityType = "V"

' Use the business activity Code that the user selected on the web form
Code = Request.Form("ActivityCode")

' Leave this business activity unassigned
AssignedTo = ""

' Fill in the contact information on the business activity
Contact = Request.Form("name")
Phone = Request.Form("phone")
Fax = Request.Form("fax")
Email = Request.Form("email")

' The reference fields can be set to any value, but they are left blank in this example
Reference = ""
Reference2 = ""

' Fill in the company name and address for this request
AddressName = Request.Form("company")
Address = Request.Form("address1")
Address2 = Request.Form("address2")
City = Request.Form("city")
State = Request.Form("state")
Zip = Request.Form("zip")
Country = Request.Form("country")

' Specify which ACCTivate! user will be used for the "Opened By" field on the business activity.
OpenedBy = "SYS"

' Set business activity description to include the contact name
Description = "Service Request from " & Contact

' Add the company name to the description if it was supplied
If AddressName <> "" Then
  Description = Description & " (" & AddressName & ")"
End If

' Set discussion to the message entered by the user
Discussion = Request.Form("message")

' Create new Connection object
Set cn = Server.CreateObject("ADODB.Connection")
Set rs = Server.CreateObject("ADODB.Recordset")

' Build the connection string to ACCTivate! database.
strConnect = "Provider=SQLOLEDB;" & _
             "Server=(local)\ACCTIVATE;" & _
             "Database=ACCTivate$DEMO;" & _
             "User Id=sa;" & _
             "Password=acctivatemsde"

' Open the connection to ACCTivate! database.
cn.open strConnect

' Prepare the call to the stored procedure to create the business activity
sql = "EXECUTE spAddBusinessActivity "
sql = sql & "@Type = '" & ActivityType & "',"
sql = sql & "@Code = '" & Code & "',"
sql = sql & "@AssignedTo = '" & AssignedTo & "',"
sql = sql & "@Contact = '" & Contact & "',"
sql = sql & "@Phone = '" & Phone & "',"
sql = sql & "@Fax = '" & Fax & "',"
sql = sql & "@Email = '" & Email & "',"
sql = sql & "@AddressName = '" & AddressName & "',"
sql = sql & "@Address = '" & Address & "',"
sql = sql & "@Address2 = '" & Address2 & "',"
sql = sql & "@City = '" & City & "',"
sql = sql & "@State = '" & State & "',"
sql = sql & "@Zip = '" & Zip & "',"
sql = sql & "@OpenedBy = '" & OpenedBy & "',"
sql = sql & "@Description = '" & Description & "',"
sql = sql & "@Discussion = '" & Discussion & "',"
sql = sql & "@Reference = '" & Reference & "',"
sql = sql & "@Reference2 = '" & Reference2 & "'"

' Execute the stored procedure to create the business activity
set rs = cn.Execute (sql)

' Redirect to confirmation page
Response.Redirect ConfirmationPage & "?id=" & rs("IssueID")
%>
